using Coffee.UIExtensions;
using UnityEngine;
using UnityEngine.UI;

namespace MyGame.Scripts
{
    public class TutorialObjectMask : MonoBehaviour
    {
        [SerializeField] private Unmask unmask;
        [SerializeField] private Image unMaskImage;

        public void SetTarget(RectTransform rectTransform)
        {
            unmask.FitTo(rectTransform);
        }

        public void SetSprite(Sprite sprite)
        {
            unMaskImage.sprite = sprite;
        }
    }
}